/*
 * This file is part of the Liquid project.
 * This class provides Help in application.
 *
 * Copyright (C) 2009 Kirpichonock K.N. <kirpiche@cs.karelia.ru>
 * Copyright (C) 2009 Volkov A.A. <volkov@cs.karelia.ru>
 * Copyright (C) 2009 Dmitriev V.V. <vdmitrie@cs.karelia.ru>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef HELP_H
#define HELP_H

#include <QDialog>
#include <QtGui>

class Help : public QDialog
{
    Q_OBJECT
public:
    Help(QWidget *parent = 0);

    int numPages;
    int page;

    QPushButton *prevBtn;
    QPushButton *nextBtn;

    QGridLayout *layout;
    QLabel *imageLabel;

    void createActions();
    void loadImage(const QString &fileName);

private slots:
    void previous();
    void next();

signals:

public slots:

};

#endif // HELP_H
